# $Revision: 1.28 $, $Date: 2008/11/11 12:08:01 $
Summary:	KDE Image Plugin Interface libary
Summary(pl.UTF-8):	Biblioteka interfejsu przetwarzania obrazu w KDE
Name:		libkipi
Version:	0.1.6
Release:	3
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
# Source0-md5:	6fd010aa8eab7039143f69543e806c65
Patch0:		kde-ac260-lt.patch
URL:		http://extragear.kde.org/apps/kipi/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6.1
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kipi (KDE Image Plugin Interface) is an effort to develop a common
plugin structure for Digikam, KimDaBa, Showimg, and GwenView.

%description -l pl.UTF-8
Kipi to próba stworzenia wspólnego modelu wtyczek dla aplikacji
graficznych KDE takich jak Digikam, KimDaBa, Showimg and Gwenview.

%package devel
Summary:	Header files for libkipi development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkipi
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kdelibs-devel >= 9:3.2.0

%description devel
Header files for libkipi development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkipi.

%package static
Summary:	Static libkipi library
Summary(pl.UTF-8):	Biblioteka statyczna libkipi
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libkipi library.

%description static -l pl.UTF-8
Biblioteka statyczna libkipi.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
	--enable-shared \
	--enable-static \
	--disable-rpath \
	--enable-final \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

# empty
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/is

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkipi.so.?.?.?
%attr(755,root,root) %ghost %{_libdir}/libkipi.so.?
%{_datadir}/apps/kipi
%{_datadir}/servicetypes/kipiplugin.desktop
%{_iconsdir}/hicolor/*x*/*/*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/libkipi

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libkipi.spec,v $
Revision 1.28  2008/11/11 12:08:01  arekm
- release 3

Revision 1.27  2008/07/25 07:02:54  arekm
- release 2

Revision 1.26  2008-04-22 15:21:20  shadzik
- verbose libs
- ghost symlink

Revision 1.25  2008-04-22 15:19:02  shadzik
- 0.1.6

Revision 1.24  2008-01-27 18:25:33  qboosh
- added X11 to Groups, dropped unset epoch, added ac/am versions
- LGPL v2+

Revision 1.23  2008-01-26 13:48:29  arvenil
- added missing ldconfig calls
- release 3

Revision 1.22  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.20  2006/12/25 15:02:41  arekm
- rel 2; add static library; fix linking (__dso_handle issue)

Revision 1.19  2006/12/20 16:17:05  rotom
- up 0.1.5
- removed obsolotes patches

Revision 1.18  2006/12/18 20:12:16  shadzik
- rel 2

Revision 1.17  2006/12/18 19:41:51  shadzik
- add am110.patch

Revision 1.16  2006/11/27 18:40:34  glen
- add ac and ldquote patches

Revision 1.15  2006/07/19 15:44:40  bszx
- updated to 0.1.4

Revision 1.14  2006/03/09 12:29:06  qboosh
- -devel R: kdelibs-devel

Revision 1.13  2006/03/09 12:00:43  pluto
- no need for BR:unsermake.

Revision 1.12  2006/03/08 22:45:14  maciek2w
- updated to 0.1.2
- BR: unsermake >= 051225 (req newer version)

Revision 1.11  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.10  2005/07/21 17:05:14  darekr
- unified

Revision 1.9  2005/06/26 00:16:45  zbyniu
- BR: gettext-devel

Revision 1.8  2005/03/04 18:32:32  bszx
- updated source url

Revision 1.7  2005/03/04 18:15:05  bszx
- updated to 0.1.1

Revision 1.6  2004/11/16 22:06:31  arekm
- rel 1

Revision 1.5  2004/11/12 17:42:42  bszx
- updated to 0.1. I'm not sure about the version number. Maye it should be 0.1.0?

Revision 1.4  2004/11/11 19:48:19  saq
- mass commit: using %%{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.3  2004/09/18 11:11:33  djurban
- libkipi.so must be packged

Revision 1.2  2004/09/18 10:49:26  djurban
-md5

Revision 1.1  2004/09/18 10:26:49  djurban
- 040918 snap of libkipi
